%define upstream_name    Filter
%define upstream_version 1.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Source filter modules for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-1.31.shellbang.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Source filter modules for Perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
# clean up AFTER compilation
find examples -type f -name \*.bak | xargs rm -f
find examples -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.640.0-3.mga10
+ Revision: 2088051
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 1.640.0-2.mga10
+ Revision: 2012030
- Rebuild for perl-5.38

* Fri Aug 19 2022 tv <tv> 1.640.0-1.mga9
+ Revision: 1878713
- update to 1.64

* Sat Aug 13 2022 tv <tv> 1.630.0-1.mga9
+ Revision: 1877443
- update to 1.63

* Wed Jun 22 2022 tv <tv> 1.610.0-1.mga9
+ Revision: 1865469
- update to 1.61

* Tue Jun 07 2022 umeabot <umeabot> 1.600.0-4.mga9
+ Revision: 1861902
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.600.0-3.mga9
+ Revision: 1795761
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.600.0-2.mga9
+ Revision: 1726590
- Rebuild for perl 5.34

* Mon Aug 10 2020 tv <tv> 1.600.0-1.mga8
+ Revision: 1612576
- update to 1.60

* Wed Jun 17 2020 umeabot <umeabot> 1.590.0-5.mga8
+ Revision: 1594795
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.590.0-4.mga8
+ Revision: 1529465
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.590.0-3.mga8
+ Revision: 1433614
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.590.0-2.mga7
+ Revision: 1292883
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.590.0-1.mga7
+ Revision: 1253941
- update to 1.59

* Wed Aug 08 2018 pterjan <pterjan> 1.580.0-2.mga7
+ Revision: 1249125
- Rebuild for perl 5.28

* Sun Dec 10 2017 shlomif <shlomif> 1.580.0-1.mga7
+ Revision: 1182012
- update to 1.58

* Mon Oct 02 2017 tv <tv> 1.570.0-3.mga7
+ Revision: 1164392
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.570.0-2.mga7
+ Revision: 1148902
- Rebuild for perl ABI changes

* Sun Jul 30 2017 sander85 <sander85> 1.570.0-1.mga7
+ Revision: 1132685
- update to 1.57

* Sat Jul 22 2017 neoclust <neoclust> 1.550.0-4.mga7
+ Revision: 1127349
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.550.0-3.mga6
+ Revision: 1027627
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.550.0-2.mga6
+ Revision: 957330
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 1.550.0-1.mga6
+ Revision: 858155
- update to 1.55

* Thu Jun 25 2015 sander85 <sander85> 1.540.0-1.mga6
+ Revision: 843534
- update to 1.54

* Wed Oct 15 2014 umeabot <umeabot> 1.490.0-7.mga5
+ Revision: 743087
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.490.0-6.mga5
+ Revision: 732176
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.490.0-5.mga5
+ Revision: 684794
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.490.0-4.mga5
+ Revision: 631205
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.490.0-3.mga5
+ Revision: 587947
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.490.0-2.mga4
+ Revision: 526256
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.490.0-1.mga4
+ Revision: 436407
- update to 1.49

* Wed May 29 2013 jquelin <jquelin> 1.450.0-7.mga4
+ Revision: 430697
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.450.0-6.mga3
+ Revision: 405495
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.450.0-5.mga3
+ Revision: 367492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.450.0-4.mga3
+ Revision: 315516
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.450.0-3.mga3
+ Revision: 284586
- perl 5.16.1 rebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.450.0-2.mga3
+ Revision: 268160
- do not remove modules

* Wed Jul 04 2012 jquelin <jquelin> 1.450.0-1.mga3
+ Revision: 267336
- update to 1.45

* Tue Jun 05 2012 jquelin <jquelin> 1.430.0-1.mga3
+ Revision: 254951
- update to 1.43

* Wed May 30 2012 jquelin <jquelin> 1.390.0-2.mga3
+ Revision: 250640
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 1.390.0-1.mga2
+ Revision: 105734
- update to 1.39
+ sander85 <sander85>
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.370.0-3.mga1
+ Revision: 30422
- mageia rebuild
- imported package perl-Filter


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.370.0-3mdv2011.0
+ Revision: 564438
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.370.0-2mdv2011.0
+ Revision: 555849
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.370.0-1mdv2010.1
+ Revision: 403182
- rebuild using %%perl_convert_version

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.37-1mdv2010.0
+ Revision: 384797
- update to new version 1.37

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.36-1mdv2009.1
+ Revision: 346268
- update to new version 1.36

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.35-1mdv2009.1
+ Revision: 345089
- update to new version 1.35

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.34-3mdv2009.0
+ Revision: 223764
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.34-2mdv2008.1
+ Revision: 152083
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 09 2007 Funda Wang <fwang@mandriva.org> 1.34-1mdv2008.0
+ Revision: 50427
- New version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.33-1mdv2008.0
+ Revision: 20094
- 1.33


* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdk
- New release 1.32

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdk
- new version
- rpmbuilupdate aware
- fix directory ownership
- spec cleanup
- make test in %%check
- fix example scripts shellbangs

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-4mdk
- Rebuild, spec cleanup

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-3mdk
- Rebuild for new perl

* Tue Apr 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-2mdk
- Rebuild. Change description.

* Thu Aug 21 2003 François Pons <fpons@mandrakesoft.com> 1.30-1mdk
- 1.30.

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.29-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%make macro
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.29-2mdk
- rebuild for new auto{prov,req}

